/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {ZonePublicRequest} from "./zonePublicRequest";
import {FloorPublicRequest} from "./floorPublicRequest";
import {FloorPlanPublicRequest} from "./floorPlanPublicRequest";
import {WorkerPublicRequest} from "./workerPublicRequest";

export class ZoneUpdateEventPublicRequest {
    public zone: ZonePublicRequest;

    public timeStamp: string;

    public floor: FloorPublicRequest;

    public floorPlan: FloorPlanPublicRequest;

    public workers: WorkerPublicRequest[];

    /**
     * Creates a ZoneUpdateEventPublicRequest.
     *
     * @param {ZonePublicRequest} zone
     * @param {string} timeStamp
     * @param {FloorPublicRequest} floor
     * @param {FloorPlanPublicRequest} floorPlan
     * @param {WorkerPublicRequest} workers
     */
    constructor(zone: ZonePublicRequest, timeStamp: string, floor: FloorPublicRequest, floorPlan: FloorPlanPublicRequest, workers: WorkerPublicRequest[]) {
        this.zone = zone;
        this.timeStamp = timeStamp;
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.workers = workers;
    }
}